Loading...
Searching...
No Matches
BALL::StructurePreparer Class Reference

`#include <BALL/DOCKING/COMMON/structurePreparer.h>`

## Public Member Functions

| StructurePreparer (String type="", bool ignore=0)
void | assignAtomTypes (AtomContainer *at, String iniFile, String AtomType_file="")
void | assignSimpleAtomTypes (AtomContainer *at, String iniFile)
void | assignPLPAtomTypes (AtomContainer *at)
void | assignMMFF94AtomTypes (AtomContainer *at)
void | setScoringType (String type)
void | assignCharges (AtomContainer *at, int overwrite_mode)
bool | assignProteinCharges (AtomContainer *at, String parameterFile, int overwrite_mode)
void | buildBonds (AtomContainer *at)
void | saturate (AtomContainer *at)
void | selectHeavyAtoms (AtomContainer *at)
void | prepare (AtomContainer *at, String parameterFile, String AtomType_file="")
void | setSimpleAtomTypes (std::set< String > &new_types)
const std::set< String > * | getSimpleAtomTypes ()

## Detailed Description

Definition at line 21 of file structurePreparer.h.

## Constructor & Destructor Documentation

## StructurePreparer()

BALL::StructurePreparer::StructurePreparer | ( | String | type = "",
|  | bool | ignore = 0 )

## Member Function Documentation

## assignAtomTypes()

void BALL::StructurePreparer::assignAtomTypes | ( | AtomContainer * | at,
|  | String | iniFile,
|  | String | AtomType_file = "" )

tries to assign the exact atom types, as defined in 'iniFile', to all atoms of 'at'

## assignCharges()

void BALL::StructurePreparer::assignCharges | ( | AtomContainer * | at,
|  | int | overwrite_mode )

assign all partial charges#

Parameters

  overwrite_mode | 0 = no overwriting of charges, 1 = overwrite all charges, 2 = automatic (overwrite all charges only if most atoms do not have a charge yet)

## assignMMFF94AtomTypes()

void BALL::StructurePreparer::assignMMFF94AtomTypes | ( | AtomContainer * | at | ) |

## assignPLPAtomTypes()

void BALL::StructurePreparer::assignPLPAtomTypes | ( | AtomContainer * | at | ) |

assign Piecewise Linear Potential AtomTypes to all atoms of the given AtomContainer

## assignProteinCharges()

bool BALL::StructurePreparer::assignProteinCharges | ( | AtomContainer * | at,
|  | String | parameterFile,
|  | int | overwrite_mode )

assigns charges to a protein based on the charges template section of the specified parameter file

Parameters

  overwrite_mode | 0 = no overwriting of charges, 1 = overwrite all charges, 2 = automatic (overwrite all charges only if most atoms do not have a charge yet)

## assignSimpleAtomTypes()

void BALL::StructurePreparer::assignSimpleAtomTypes | ( | AtomContainer * | at,
|  | String | iniFile )

tries to assign simplied atom types based mainly on element symbols.

Parameters

  'iniFile' | is needed to obtain the corresponding IDs (force field dependend AtomType of type int) for each of these simple type names

## buildBonds()

void BALL::StructurePreparer::buildBonds | ( | AtomContainer * | at | ) |

## getSimpleAtomTypes()

const std::set< String > * BALL::StructurePreparer::getSimpleAtomTypes | ( |  | ) |

## prepare()

void BALL::StructurePreparer::prepare | ( | AtomContainer * | at,
|  | String | parameterFile,
|  | String | AtomType_file = "" )

run all of the above

## saturate()

void BALL::StructurePreparer::saturate | ( | AtomContainer * | at | ) |

## selectHeavyAtoms()

void BALL::StructurePreparer::selectHeavyAtoms | ( | AtomContainer * | at | ) |

## setScoringType()

void BALL::StructurePreparer::setScoringType | ( | String | type | ) |

## setSimpleAtomTypes()

void BALL::StructurePreparer::setSimpleAtomTypes | ( | std::set< String > & | new_types | ) |